Subject: bug#30725: eshell: built-ins do not handle command substitution

From: Michael Albinus <[email-masked]>
Date: Tue, 18 Jan 2022 09:33:40 +0100

Jim Porter <[email-masked]> writes:

Hi Jim,

> Attached is a patch that fixes this, plus a unit test (I've verified
> that the test fails without the patch and passes with it). Note that
> the test *does* rely on the system having an external "echo" command,
> but I think some of the tests in that file already rely on the
> presence of an external "sleep" command, so this should be
> ok. However, if it causes issues on some systems (MS Windows maybe?),
> just let me know and I can try to put a guard around the test so it
> doesn't run on such systems.

(skip-unless (executable-find "echo"))

Best regards, Michael.